{% load captureas %}
{% load socialaccount %}
{% load wwwize %}

{% get_providers as socialaccount_providers %}

{% for provider in socialaccount_providers %}
{% if provider.id == "openid" %}
{% for brand in provider.get_brands %}
<li>
{% captureas login_url %}{% provider_login_url provider.id openid=brand.openid_url process=process next='/' %}{% endcaptureas %}
  <a title="{{brand.name}}"
     class="socialaccount_provider {{provider.id}} {{brand.id}}"
     href="{{ login_url | wwwize:request }}"
     >{{ auth_link_prefix }}{{brand.name}}</a>
</li>
{% endfor %}
{% else %}
<li>
{% captureas login_url %}{% provider_login_url provider.id process=process scope=scope auth_params=auth_params next='/' %}{% endcaptureas %}
  <a title="{{provider.name}}" class="socialaccount_provider {{provider.id}}"
     href="{{ login_url | wwwize:request }}">{{ auth_link_prefix }}{{provider.name}}</a>
</li>
{% endif %}
{% endfor %}
